Subject: Re: linux-next: block tree build failure

From: James Bottomley <[email-masked]>
Date: Thu, 14 May 2009 23:24:06 -0400

On Fri, 2009-05-15 at 11:47 +0900, Tejun Heo wrote:
> Hello, James.
> 
> James Bottomley wrote:
> > No ... postmerge trees are held by maintainers for irreconcilable tree
> > conflicts.  You run your standard tree, which can fire at any time in
> > the merge window and your postmerge one which pulls in the entangled
> > tree and adds your patches on top.   This can only go after the
> > conflicting subsystem has also been pulled into linus head.
> >
> >> Out of curiousity, is there any reason not to use more standard git
> >> workflow?
> > 
> > This is a standard workflow ...
> 
> Ah... poor wording from me.  I meant the one based on merging and
> monotonic commit accumulation without rebasing.

But that's not really possible here ... the only way to combine the two
incompatible trees now while maintaining bisectability is to hide a non
trivial patch in the merge point ... that's the worst practice of all.

James